%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-ejb-3.1-api
Version:          1.0.2
Release:          %mkrel 2
Summary:          EJB 3.1 API
Group:            Development/Java
License:          CDDL or GPLv2 with exceptions
Url:              http://www.jboss.org

# git clone git://github.com/jboss/jboss-ejb-api_spec.git jboss-ejb-3.1-api
# cd jboss-ejb-3.1-api/ && git archive --format=tar --prefix=jboss-ejb-3.1-api/ jboss-ejb-api_3.1_spec-1.0.2.Final | xz > jboss-ejb-3.1-api-1.0.2.Final.tar.xz
Source0:          jboss-ejb-3.1-api-%{namedversion}.tar.xz

BuildRequires:    jboss-transaction-1.1-api
BuildRequires:    jboss-jaxrpc-1.1-api
BuildRequires:    java-devel
BuildRequires:    jboss-specs-parent
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-ear-plugin

Requires:         jboss-transaction-1.1-api
Requires:         jboss-jaxrpc-1.1-api
Requires:         jpackage-utils
Requires:         java
BuildArch:        noarch

%description
The Java EJB 3.1 API classes.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-ejb-3.1-api

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/jboss-ejb-api_3.1_spec-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
cp -rp target/site/apidocs/ $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README LICENSE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 354945
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 1.0.2-1.mga3
+ Revision: 341250
- New version

* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.1-1.mga2
+ Revision: 131988
- Clean spec file

  + gil <gil>
    - imported package jboss-ejb-3.1-api

